Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

local server

Help for Current Versions of MX
Post Reply
Message
Author
User avatar
Lugue
Forum Novice
Forum  Novice
Posts: 19
Joined: Thu Jun 22, 2017 11:29 am

local server

#1 Post by Lugue » Sun Jul 02, 2017 11:05 am

Hello, friends I'm trying to create a local server but when I want to log in to phpmyadmin I get this error, help
You do not have the required permissions to view the files attached to this post.

antiX-Dave
Forum Regular
Forum Regular
Posts: 375
Joined: Mon Apr 16, 2012 4:51 pm

Re: local server

#2 Post by antiX-Dave » Sun Jul 02, 2017 11:35 am

How have you been trying for set this up?

Last I recall if you have no specific way that you would like to install or a specific version you could run
apt-get install apache2 php5 mysql-server phpmyadmin
and have enough of a working setup to get started. Though things might have changed as it has been hit and miss lately for me with the various systemd positions. The error you have should be that you need to run chmod 644 on the phpmyadmin configuration file.

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 22227
Joined: Wed Jul 19, 2006 6:13 am

Re: local server

#3 Post by Jerry3904 » Sun Jul 02, 2017 1:08 pm

There is a local server in MX Package Installer
Production: 4.15.0-1-amd64, MX-17.1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 4.15.0-1-386. MX-17.1, AMD C-60 APU, 4 GB

User avatar
Lugue
Forum Novice
Forum  Novice
Posts: 19
Joined: Thu Jun 22, 2017 11:29 am

Re: local server

#4 Post by Lugue » Mon Jul 03, 2017 2:17 pm

antiX-Dave wrote:How have you been trying for set this up?

Last I recall if you have no specific way that you would like to install or a specific version you could run
apt-get install apache2 php5 mysql-server phpmyadmin
and have enough of a working setup to get started. Though things might have changed as it has been hit and miss lately for me with the various systemd positions. The error you have should be that you need to run chmod 644 on the phpmyadmin configuration file.
I still have the problem, but it does not matter any more, thanks

rasat
Forum Novice
Forum  Novice
Posts: 59
Joined: Tue Dec 19, 2017 1:19 pm

Re: local server

#5 Post by rasat » Tue Dec 26, 2017 6:03 pm

I had the same problem. But got phpmyadmin to run by giving a click at:
/etc/phpmyadmin/phpmyadmin.desktop

This shows:
http://localhost/phpmyadmin/
For some reason localhost/phpmyadmin didn't work without http://. Now its ok.

in MX 17 php5 is not available, this is the string:
apt-get install apache2 mysql-server phpmyadmin

Post Reply

Return to “MX Help”